/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var RadialBaseChartDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(RadialBaseChartDescription, _super);
    function RadialBaseChartDescription() {
        var _this = _super.call(this) || this;
        _this.ur = null;
        _this.u9 = null;
        _this.sw = 0;
        _this.sy = 0;
        _this.sx = 0;
        _this.sv = 0;
        _this.td = 0;
        _this.tf = 0;
        _this.te = 0;
        _this.tc = 0;
        _this.uw = null;
        _this.ve = null;
        _this.up = null;
        _this.uq = null;
        _this.s7 = 0;
        _this.to = 0;
        _this.s6 = 0;
        _this.tn = 0;
        _this.s9 = 0;
        _this.tq = 0;
        _this.s8 = 0;
        _this.tp = 0;
        _this.s5 = 0;
        _this.tm = 0;
        _this.u7 = null;
        _this.vp = null;
        _this.ux = null;
        _this.vf = null;
        _this.u8 = null;
        _this.vq = null;
        _this.uv = null;
        _this.vd = null;
        _this.u0 = null;
        _this.vi = null;
        _this.sz = 0;
        _this.tg = 0;
        _this.s0 = 0;
        _this.th = 0;
        _this.u2 = null;
        _this.vk = null;
        _this.u3 = null;
        _this.vl = null;
        _this.s1 = 0;
        _this.ti = 0;
        _this.s2 = 0;
        _this.tj = 0;
        _this.u4 = null;
        _this.vm = null;
        _this.s3 = 0;
        _this.tk = 0;
        _this.u5 = null;
        _this.vn = null;
        _this.u1 = null;
        _this.vj = null;
        _this.su = 0;
        _this.tb = 0;
        _this.st = 0;
        _this.ta = 0;
        _this.s4 = 0;
        _this.tl = 0;
        _this.sp = false;
        _this.sq = false;
        _this.u6 = null;
        _this.vo = null;
        _this.ut = null;
        _this.vb = null;
        _this.uy = null;
        _this.vg = null;
        _this.uz = null;
        _this.vh = null;
        _this.vc = null;
        _this.uu = null;
        _this.us = null;
        _this.sl = null;
        _this.va = null;
        _this.sm = null;
        return _this;
    }
    RadialBaseChartDescription.prototype.get_type = function () {
        return "RadialBaseChart";
    };
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisFormatLabelRef", {
        get: function () {
            return this.ur;
        },
        set: function (a) {
            this.ur = a;
            this.g("AngleAxisFormatLabelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisFormatLabelRef", {
        get: function () {
            return this.u9;
        },
        set: function (a) {
            this.u9 = a;
            this.g("ValueAxisFormatLabelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelLeftMargin", {
        get: function () {
            return this.sw;
        },
        set: function (a) {
            this.sw = a;
            this.g("AngleAxisLabelLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelTopMargin", {
        get: function () {
            return this.sy;
        },
        set: function (a) {
            this.sy = a;
            this.g("AngleAxisLabelTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelRightMargin", {
        get: function () {
            return this.sx;
        },
        set: function (a) {
            this.sx = a;
            this.g("AngleAxisLabelRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelBottomMargin", {
        get: function () {
            return this.sv;
        },
        set: function (a) {
            this.sv = a;
            this.g("AngleAxisLabelBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelLeftMargin", {
        get: function () {
            return this.td;
        },
        set: function (a) {
            this.td = a;
            this.g("ValueAxisLabelLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelTopMargin", {
        get: function () {
            return this.tf;
        },
        set: function (a) {
            this.tf = a;
            this.g("ValueAxisLabelTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelRightMargin", {
        get: function () {
            return this.te;
        },
        set: function (a) {
            this.te = a;
            this.g("ValueAxisLabelRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelBottomMargin", {
        get: function () {
            return this.tc;
        },
        set: function (a) {
            this.tc = a;
            this.g("ValueAxisLabelBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelTextColor", {
        get: function () {
            return this.uw;
        },
        set: function (a) {
            this.uw = a;
            this.g("AngleAxisLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelTextColor", {
        get: function () {
            return this.ve;
        },
        set: function (a) {
            this.ve = a;
            this.g("ValueAxisLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "actualAngleAxisLabelTextColor", {
        get: function () {
            return this.up;
        },
        set: function (a) {
            this.up = a;
            this.g("ActualAngleAxisLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "actualValueAxisLabelTextColor", {
        get: function () {
            return this.uq;
        },
        set: function (a) {
            this.uq = a;
            this.g("ActualValueAxisLabelTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleMargin", {
        get: function () {
            return this.s7;
        },
        set: function (a) {
            this.s7 = a;
            this.g("AngleAxisTitleMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleMargin", {
        get: function () {
            return this.to;
        },
        set: function (a) {
            this.to = a;
            this.g("ValueAxisTitleMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleLeftMargin", {
        get: function () {
            return this.s6;
        },
        set: function (a) {
            this.s6 = a;
            this.g("AngleAxisTitleLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleLeftMargin", {
        get: function () {
            return this.tn;
        },
        set: function (a) {
            this.tn = a;
            this.g("ValueAxisTitleLeftMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleTopMargin", {
        get: function () {
            return this.s9;
        },
        set: function (a) {
            this.s9 = a;
            this.g("AngleAxisTitleTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleTopMargin", {
        get: function () {
            return this.tq;
        },
        set: function (a) {
            this.tq = a;
            this.g("ValueAxisTitleTopMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleRightMargin", {
        get: function () {
            return this.s8;
        },
        set: function (a) {
            this.s8 = a;
            this.g("AngleAxisTitleRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleRightMargin", {
        get: function () {
            return this.tp;
        },
        set: function (a) {
            this.tp = a;
            this.g("ValueAxisTitleRightMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleBottomMargin", {
        get: function () {
            return this.s5;
        },
        set: function (a) {
            this.s5 = a;
            this.g("AngleAxisTitleBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleBottomMargin", {
        get: function () {
            return this.tm;
        },
        set: function (a) {
            this.tm = a;
            this.g("ValueAxisTitleBottomMargin");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleTextColor", {
        get: function () {
            return this.u7;
        },
        set: function (a) {
            this.u7 = a;
            this.g("AngleAxisTitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleTextColor", {
        get: function () {
            return this.vp;
        },
        set: function (a) {
            this.vp = a;
            this.g("ValueAxisTitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelTextStyle", {
        get: function () {
            return this.ux;
        },
        set: function (a) {
            this.ux = a;
            this.g("AngleAxisLabelTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelTextStyle", {
        get: function () {
            return this.vf;
        },
        set: function (a) {
            this.vf = a;
            this.g("ValueAxisLabelTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleTextStyle", {
        get: function () {
            return this.u8;
        },
        set: function (a) {
            this.u8 = a;
            this.g("AngleAxisTitleTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleTextStyle", {
        get: function () {
            return this.vq;
        },
        set: function (a) {
            this.vq = a;
            this.g("ValueAxisTitleTextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelRef", {
        get: function () {
            return this.uv;
        },
        set: function (a) {
            this.uv = a;
            this.g("AngleAxisLabelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelRef", {
        get: function () {
            return this.vd;
        },
        set: function (a) {
            this.vd = a;
            this.g("ValueAxisLabelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisMajorStroke", {
        get: function () {
            return this.u0;
        },
        set: function (a) {
            this.u0 = a;
            this.g("AngleAxisMajorStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisMajorStroke", {
        get: function () {
            return this.vi;
        },
        set: function (a) {
            this.vi = a;
            this.g("ValueAxisMajorStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisMajorStrokeThickness", {
        get: function () {
            return this.sz;
        },
        set: function (a) {
            this.sz = a;
            this.g("AngleAxisMajorStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisMajorStrokeThickness", {
        get: function () {
            return this.tg;
        },
        set: function (a) {
            this.tg = a;
            this.g("ValueAxisMajorStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisMinorStrokeThickness", {
        get: function () {
            return this.s0;
        },
        set: function (a) {
            this.s0 = a;
            this.g("AngleAxisMinorStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisMinorStrokeThickness", {
        get: function () {
            return this.th;
        },
        set: function (a) {
            this.th = a;
            this.g("ValueAxisMinorStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisStrip", {
        get: function () {
            return this.u2;
        },
        set: function (a) {
            this.u2 = a;
            this.g("AngleAxisStrip");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisStrip", {
        get: function () {
            return this.vk;
        },
        set: function (a) {
            this.vk = a;
            this.g("ValueAxisStrip");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisStroke", {
        get: function () {
            return this.u3;
        },
        set: function (a) {
            this.u3 = a;
            this.g("AngleAxisStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisStroke", {
        get: function () {
            return this.vl;
        },
        set: function (a) {
            this.vl = a;
            this.g("ValueAxisStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisStrokeThickness", {
        get: function () {
            return this.s1;
        },
        set: function (a) {
            this.s1 = a;
            this.g("AngleAxisStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisStrokeThickness", {
        get: function () {
            return this.ti;
        },
        set: function (a) {
            this.ti = a;
            this.g("ValueAxisStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTickLength", {
        get: function () {
            return this.s2;
        },
        set: function (a) {
            this.s2 = a;
            this.g("AngleAxisTickLength");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTickLength", {
        get: function () {
            return this.tj;
        },
        set: function (a) {
            this.tj = a;
            this.g("ValueAxisTickLength");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTickStroke", {
        get: function () {
            return this.u4;
        },
        set: function (a) {
            this.u4 = a;
            this.g("AngleAxisTickStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTickStroke", {
        get: function () {
            return this.vm;
        },
        set: function (a) {
            this.vm = a;
            this.g("ValueAxisTickStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTickStrokeThickness", {
        get: function () {
            return this.s3;
        },
        set: function (a) {
            this.s3 = a;
            this.g("AngleAxisTickStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTickStrokeThickness", {
        get: function () {
            return this.tk;
        },
        set: function (a) {
            this.tk = a;
            this.g("ValueAxisTickStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitle", {
        get: function () {
            return this.u5;
        },
        set: function (a) {
            this.u5 = a;
            this.g("AngleAxisTitle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitle", {
        get: function () {
            return this.vn;
        },
        set: function (a) {
            this.vn = a;
            this.g("ValueAxisTitle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisMinorStroke", {
        get: function () {
            return this.u1;
        },
        set: function (a) {
            this.u1 = a;
            this.g("AngleAxisMinorStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisMinorStroke", {
        get: function () {
            return this.vj;
        },
        set: function (a) {
            this.vj = a;
            this.g("ValueAxisMinorStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelAngle", {
        get: function () {
            return this.su;
        },
        set: function (a) {
            this.su = a;
            this.g("AngleAxisLabelAngle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelAngle", {
        get: function () {
            return this.tb;
        },
        set: function (a) {
            this.tb = a;
            this.g("ValueAxisLabelAngle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisExtent", {
        get: function () {
            return this.st;
        },
        set: function (a) {
            this.st = a;
            this.g("AngleAxisExtent");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisExtent", {
        get: function () {
            return this.ta;
        },
        set: function (a) {
            this.ta = a;
            this.g("ValueAxisExtent");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleAngle", {
        get: function () {
            return this.s4;
        },
        set: function (a) {
            this.s4 = a;
            this.g("AngleAxisTitleAngle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleAngle", {
        get: function () {
            return this.tl;
        },
        set: function (a) {
            this.tl = a;
            this.g("ValueAxisTitleAngle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisInverted", {
        get: function () {
            return this.sp;
        },
        set: function (a) {
            this.sp = a;
            this.g("AngleAxisInverted");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisInverted", {
        get: function () {
            return this.sq;
        },
        set: function (a) {
            this.sq = a;
            this.g("ValueAxisInverted");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisTitleAlignment", {
        get: function () {
            return this.u6;
        },
        set: function (a) {
            this.u6 = a;
            this.g("AngleAxisTitleAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisTitleAlignment", {
        get: function () {
            return this.vo;
        },
        set: function (a) {
            this.vo = a;
            this.g("ValueAxisTitleAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelHorizontalAlignment", {
        get: function () {
            return this.ut;
        },
        set: function (a) {
            this.ut = a;
            this.g("AngleAxisLabelHorizontalAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelHorizontalAlignment", {
        get: function () {
            return this.vb;
        },
        set: function (a) {
            this.vb = a;
            this.g("ValueAxisLabelHorizontalAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelVerticalAlignment", {
        get: function () {
            return this.uy;
        },
        set: function (a) {
            this.uy = a;
            this.g("AngleAxisLabelVerticalAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelVerticalAlignment", {
        get: function () {
            return this.vg;
        },
        set: function (a) {
            this.vg = a;
            this.g("ValueAxisLabelVerticalAlignment");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelVisibility", {
        get: function () {
            return this.uz;
        },
        set: function (a) {
            this.uz = a;
            this.g("AngleAxisLabelVisibility");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelVisibility", {
        get: function () {
            return this.vh;
        },
        set: function (a) {
            this.vh = a;
            this.g("ValueAxisLabelVisibility");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelLocation", {
        get: function () {
            return this.vc;
        },
        set: function (a) {
            this.vc = a;
            this.g("ValueAxisLabelLocation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelLocation", {
        get: function () {
            return this.uu;
        },
        set: function (a) {
            this.uu = a;
            this.g("AngleAxisLabelLocation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelFormat", {
        get: function () {
            return this.us;
        },
        set: function (a) {
            this.us = a;
            this.g("AngleAxisLabelFormat");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "angleAxisLabelFormatSpecifiers", {
        get: function () {
            return this.sl;
        },
        set: function (a) {
            this.sl = a;
            this.g("AngleAxisLabelFormatSpecifiers");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelFormat", {
        get: function () {
            return this.va;
        },
        set: function (a) {
            this.va = a;
            this.g("ValueAxisLabelFormat");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseChartDescription.prototype, "valueAxisLabelFormatSpecifiers", {
        get: function () {
            return this.sm;
        },
        set: function (a) {
            this.sm = a;
            this.g("ValueAxisLabelFormatSpecifiers");
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseChartDescription.$t = markType(RadialBaseChartDescription, 'RadialBaseChartDescription', DomainChartDescription.$);
    return RadialBaseChartDescription;
}(DomainChartDescription));
export { RadialBaseChartDescription };
